GET
Use dark colors for code blocksCopy
1
/{orgId}/admin/{itemId}/creationStatus
Checks on the creation or upgrade status of a Workflow Manager item

Check the creation or upgrade status of a workflow item. The creation or upgrade status reflects the state of the item. The creation or upgrade status can be returned for the workflow item owner or users with access to the workflow item.

Query parameters

NameTypeRequired
tokenstring¦null

Path parameters

NameTypeRequired
itemIdstring
orgIdstring

Response status

StatusMeaningDescriptionSchema
200OK

The item creation or upgrade status.

CreateItemResponse
400Bad Request

error

WorkflowJsonExceptionDTO

Examples

Request

Use dark colors for code blocksCopy
1
2
3
# You can also use wget
curl -X GET '/{orgId}/admin/{itemId}/creationStatus' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Response

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
{
  "success": true,
  "itemId": "string",
  "status": "Executing",
  "error": {
    "message": "string",
    "name": "UnableToDetermineHostingServer",
    "details": [
      "string"
    ]
  }
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.